/***********************************************************/
/* Vorlesungen                                             */
/***********************************************************/

/***********************************************************/
/* veranstaltung(Name, [Teilnehmer], [Ressourcen])         */
/***********************************************************/
/* Stehen die Raeume schon fest, sind sie in diesem        */
/* Abschnitt zu kennzeichnen (nicht unter                  */
/* veranstaltungAmUmIn).                                   */
/***********************************************************/

/***********************************************************/
/* Dozent: Platte                                          */
/***********************************************************/
veranstaltung('Chemie 1', [pi1, pi2, pa1, pt], [hs2, vorlesung]).
veranstaltung('Chemie 2', [pi1, pi2, pa1, pt], [hs2, vorlesung]).
 
veranstaltung('Phys. Chemie 1', [pi5, pi6, pt], [oder([hs3, hs4]), vorlesung]).
veranstaltung('Phys. Chemie 2', [pi5, pi6, pt], [oder([hs3, hs4]), vorlesung]).
veranstaltung('Werkstoffkunde', [pi5, pi6, di3, pa5, ea5, pt], [vorlesung]).
 
veranstaltung('Umweltanalytik', [di5, pi6, pi7, pt], [vorlesung]).

veranstaltung('Umwelttechnik', [pa5, ea5, pt], [vorlesung]).

veranstaltung('Sem Umwelttechnik', [ui4, di5, pi7, pi8, pt, pol, su], [oder([sr1, sr2, sr3, sr4])]).

veranstaltung('Umweltchemie', [di5, pi5, pi6, pt], [vorlesung]).

/***********************************************************/
/* Dozent: Kaleck                                          */
/***********************************************************/
veranstaltung('Rechnernetze 1', [ii3, ii4, ii5, klk], [vorlesung, hs6]).
veranstaltung('Rechnernetze 2', [ii3, ii4, ii5, klk], [vorlesung, hs6]).

%veranstaltung('Rechnernetze-Uebung 1', [wi4, wi5, wi6, klk], [netzlab]).
%veranstaltung('Rechnernetze-Uebung 2', [wi4, wi5, wi6, klk], [netzlab]).

/***********************************************************/
/* Dozent: Schmitt                                         */
/***********************************************************/
veranstaltung('Marketing 1', [wi3, wi4, mi4, di3, ai1, sc], [vorlesung]).
veranstaltung('Marketing 2', [wi3, wi4, mi4, di3, ai1, sc], [vorlesung]).

veranstaltung('Service Management SocialEng 1', [wi5, wi6, ai1, ai3, sc], [vorlesung]).
veranstaltung('Service Management SocialEng 2', [wi5, wi6, ai1, ai3, sc], [vorlesung]).

veranstaltung('Multi Media Seminar', [mi4, sc], [vorlesung]).

/***********************************************************/
/* Dozent: Ahrens                                          */
/***********************************************************/
veranstaltung('uP-Programmierung 1', [wi3, ahr], [rz3]).
veranstaltung('uP-Programmierung 2', [wi3, ahr], [rz3]).

veranstaltung('PPS Pr a 1', [wi4, wi5, wi6, ahr], [oder([rz2, rz3])]).
veranstaltung('PPS Pr a 2', [wi4, wi5, wi6, ahr], [oder([rz2, rz3])]).

veranstaltung('PPS Pr b 1', [ai3, di5, wol], [oder([rz2, rz3])]).
veranstaltung('PPS Pr b 2', [ai3, di5, wol], [oder([rz2, rz3])]).

veranstaltung('ProgSprachen 2 Ueb a 1', [ia3ps2, ahr, sti, kr], [oder([rz1, rz4])]).
veranstaltung('ProgSprachen 2 Ueb a 2', [ia3ps2, ahr, sti, kr], [oder([rz1, rz4])]).

veranstaltung('ProgSprachen 2 Ueb b 1', [wi2ps2, ahr, sti, hi], [oder([rz1, rz4])]).
veranstaltung('ProgSprachen 2 Ueb b 2', [wi2ps2, ahr, sti, hi], [oder([rz1, rz4])]).

veranstaltung('ProgSprachen 2 Ueb c 1', [ii2ps2, di3ps2, ahr, sti, hi], [oder([rz1, rz4])]).
veranstaltung('ProgSprachen 2 Ueb c 2', [ii2ps2, di3ps2, ahr, sti, hi], [oder([rz1, rz4])]).

veranstaltung('ProgSprachen 1 Ueb a 1', [wi1ps1, ahr, hn], [oder([rz1, rz3])]).
veranstaltung('ProgSprachen 1 Ueb a 2', [wi1ps1, ahr, hn], [oder([rz1, rz3])]).

veranstaltung('ProgSprachen 1 Ueb b 1', [wi1ps1, ahr, sti], [oder([rz1, rz3])]).
veranstaltung('ProgSprachen 1 Ueb b 2', [wi1ps1, ahr, sti], [oder([rz1, rz3])]).

/***********************************************************/
/* Dozent: Albrecht                                        */
/***********************************************************/
veranstaltung('Elektrotechnik 1', [ia1, ea1, pa1, al], [vorlesung]).
veranstaltung('Elektrotechnik 2', [ia1, ea1, pa1, al], [vorlesung]).
veranstaltung('Elektrotechnik 3', [ia1, ea1, pa1, al], [vorlesung]).

veranstaltung('Elektronik 3 1', [pa3, ea3, al], [vorlesung]).
veranstaltung('Elektronik 3 2', [pa3, ea3, al], [vorlesung]).

veranstaltung('Elek. Messtechnik 1', [pa3, ea3, al], [etlab]).
veranstaltung('Elek. Messtechnik 2', [pa3, ea3, al], [etlab]).

veranstaltung('Digitaltechnik 1 1', [ea1, pa1, al], [etlab]).
veranstaltung('Digitaltechnik 1 2', [ea1, pa1, al], [etlab]).

veranstaltung('uController Al 1', [ea1, pa1, al], [etlab]).
veranstaltung('uController Al 2', [ea1, pa1, al], [etlab]).

/***********************************************************/
/* Dozent: Anders                                          */
/***********************************************************/
veranstaltung('E-Lehre 2', [pi3, an], [oder([sr2, sr3, sr4])]).

veranstaltung('E-Lehre Ueb', [pi3, an], [oder([sr2, sr3, sr4])]).

veranstaltung('Atom- & Kernphysik 1', [pi3, pi4, pi5, pa5, an], [oder([sr2, sr3, sr4])]).
veranstaltung('Atom- & Kernphysik 2', [pi3, pi4, pi5, pa5, an], [oder([sr2, sr3, sr4])]).

veranstaltung('Mechanik 3', [pa3, an], [vorlesung]).

veranstaltung('Mechanik 3 Ueb', [pa3, an], [vorlesung]).

veranstaltung('Mechanik 1', [pa1, ea1, ia1, an], [vorlesung]).

veranstaltung('Fertigungstech Elektronik', [pi5, pi6, di5, ii3, ii4, ii6, an], [vorlesung]).

veranstaltung('Duenne Schichten', [pi6, an], [oder([sr2, sr3, sr4])]).

/***********************************************************/
/* Dozent: Biskop                                          */
/***********************************************************/
veranstaltung('Phys. Grundl. Pr 1', [pi1, pi2, pa3, pa5, ii3, bi], [etlab]).
veranstaltung('Phys. Grundl. Pr 2', [pi1, pi2, pa3, pa5, ii3, bi], [etlab]).
veranstaltung('Phys. Grundl. Pr 3', [pi1, pi2, pa3, pa5, ii3, bi], [etlab]).

veranstaltung('Physikalisches Pr (B) 1', [pi3, pi4, di3, bi], [etlab]).
veranstaltung('Physikalisches Pr (B) 2', [pi3, pi4, di3, bi], [etlab]).
veranstaltung('Physikalisches Pr (B) 3', [pi3, pi4, di3, bi], [etlab]).

veranstaltung('Elektronik 1 Ueb 1', [ea3, bi], [etlab]).
veranstaltung('Elektronik 1 Ueb 2', [ea3, bi], [etlab]).

veranstaltung('SMD-Tech 1', [ea3, ii5, bi], [etlab]).
veranstaltung('SMD-Tech 2', [ea3, ii5, bi], [etlab]).

veranstaltung('Digitaltechnik 1 Ueb a 1', [pi1, pi2, bi], [etlab]).
veranstaltung('Digitaltechnik 1 Ueb a 2', [pi1, pi2, bi], [etlab]).

veranstaltung('Digitaltechnik 1 Ueb b 1', [pi1, pi2, bi], [etlab]).
veranstaltung('Digitaltechnik 1 Ueb b 2', [pi1, pi2, bi], [etlab]).

veranstaltung('Elektrotechnik 1 Ueb', [ea1, pa1, ia1, bi], [vorlesung]).

/***********************************************************/
/* Dozent: Cholewa                                         */
/***********************************************************/
veranstaltung('Gemeinschaftskunde', [pa3, ea3, ia3, cho], [vorlesung]).

/***********************************************************/
/* Dozent: Gluesing                                        */
/***********************************************************/
veranstaltung('Werkstattpraktikum 1', [ea3, pa3, glu], [werkstatt]).
veranstaltung('Werkstattpraktikum 2', [ea3, pa3, glu], [werkstatt]).
veranstaltung('Werkstattpraktikum 3', [ea3, pa3, glu], [werkstatt]).

/***********************************************************/
/* Dozent: Goettner                                         */
/***********************************************************/
veranstaltung('Fuehrungskraefte Tr 1', [pi8, ii7, ii8, wi6, wi7, goe], [vorlesung, hs5]).
veranstaltung('Fuehrungskraefte Tr 2', [pi8, ii7, ii8, wi6, wi7, goe], [vorlesung, hs5]).

veranstaltung('Fuehrungskraefte AC-Krea 1', [pi8, ii7, ii8, wi6, wi7, goe], [sr1]).
veranstaltung('Fuehrungskraefte AC-Krea 2', [pi8, ii7, ii8, wi6, wi7, goe], [sr1]).

/***********************************************************/
/* Dozent: Jacobsen                                        */
/***********************************************************/
veranstaltung('Technik AV Medien', [mi4, jac], [vorlesung, oder([hs5, hs6])]).

/***********************************************************/
/* Dozent: Kleta                                           */
/***********************************************************/
veranstaltung('up-HW Pr', [ii5, ii6, ea5, kl], [elklab]).

veranstaltung('ProgSprachen 1 Ueb d 1', [ii1ps1, wi1ps1, kl, kr], [oder([rz1, rz3])]).
veranstaltung('ProgSprachen 1 Ueb d 2', [ii1ps1, wi1ps1, kl, kr], [oder([rz1, rz3])]).

/***********************************************************/
/* Dozent: Hinck                                           */
/***********************************************************/
veranstaltung('AV-Workshop 1 1', [mi1, hi, kr, ue], [mrz]).
veranstaltung('AV-Workshop 1 2', [mi1, hi, kr, ue], [mrz]).

veranstaltung('Musikvideoproj 1', [mi4, hi, kr, wink], [mrz]).
veranstaltung('Musikvideoproj 2', [mi4, hi, kr, wink], [mrz]).

/***********************************************************/
/* Dozent: Haeuslein                                       */
/***********************************************************/
veranstaltung('ProgSprachen 1 1', [ii1, mi1, wi1, hs], [vorlesung]).
veranstaltung('ProgSprachen 1 2', [ii1, mi1, wi1, hs], [vorlesung]).

veranstaltung('ProgSprachen 2 1', [di3, ii2, wi2, ia3, hs], [vorlesung]).
veranstaltung('ProgSprachen 2 2', [di3, ii2, wi2, ia3, hs], [vorlesung]).

%veranstaltung('SW-Engineering', [ai1, ii3, ii4, ia3, mi3, mi4, wi2, wi3, hs], [vorlesung]).

veranstaltung('Systemanalyse', [ii6, ii7, mi4, wi5, wi6, wi7, hs], [vorlesung]).

veranstaltung('Praktikum Oekobilanzen a 1', [ui4, hs, hn, gla], [rz1]).
veranstaltung('Praktikum Oekobilanzen a 2', [ui4, hs, hn, gla], [rz1]).
veranstaltung('Praktikum Oekobilanzen a 3', [ui4, hs, hn, gla], [rz1]).

veranstaltung('Praktikum Oekobilanzen b 1', [ui4, hs, hn, gla], [sr1]).
veranstaltung('Praktikum Oekobilanzen b 2', [ui4, hs, hn, gla], [sr1]).
veranstaltung('Praktikum Oekobilanzen b 3', [ui4, hs, hn, gla], [sr1]).

/***********************************************************/
/* Dozent: Haenisch                                        */
/***********************************************************/
veranstaltung('SAP 1', [ai3, wi6, wi7, hn], [oder([hs5, hs6]), vorlesung]).
veranstaltung('SAP 2', [ai3, wi6, wi7, hn], [oder([hs5, hs6]), vorlesung]).

veranstaltung('SAP Ueb a', [ai3, wi7, hn, gla], [oder([rz2, rz3])]).

veranstaltung('SAP Ueb b', [wi6, wi7, hn, gla], [oder([rz2, rz3])]).

veranstaltung('Standardsoftware', [di1, pi1, hn, gla, sb], [oder([rz1, rz3])]).

veranstaltung('ProgSprachen 1 Ueb e 1', [mi1ps1, hn, kr], [oder([rz1, rz2, rz3])]).
veranstaltung('ProgSprachen 1 Ueb e 2', [mi1ps1, hn, kr], [oder([rz1, rz2, rz3])]).

veranstaltung('Fibu-Ueb', [di3, wi3, wi4, mi3, hn, gla], [oder([rz1, rz3])]).

/***********************************************************/
/* Dozent: Gerhardt                                        */
/***********************************************************/
veranstaltung('OR 2 1', [wi4, wi5, wi6, di5, ai3, ge], [beamer, vorlesung]). 
veranstaltung('OR 2 2', [wi4, wi5, wi6, di5, ai3, ge], [beamer, vorlesung]).

veranstaltung('Statistik 2 1', [wi2, wi3, wi4, di3, ai3, ge], [vorlesung]).  
veranstaltung('Statistik 2 2', [wi2, wi3, wi4, di3, ai3, ge], [vorlesung]).  

veranstaltung('Datenbanken', [di5, ai1, ia3, ge], [vorlesung]).
  
veranstaltung('Datenbanken 1 1', [ii4, ii5, mi3, mi4, wi3, wi4, wi5, ge], [vorlesung]).
veranstaltung('Datenbanken 1 2', [ii4, ii5, mi3, mi4, wi3, wi4, wi5, ge], [vorlesung]).

/***********************************************************/
/* Dozent: Brinkmann                                       */
/***********************************************************/
veranstaltung('Analysis 2 1', [pi2, ii2, br], [vorlesung]).
veranstaltung('Analysis 2 2', [pi2, ii2, br], [vorlesung]).

veranstaltung('Analysis 2 Ueb', [pi2, ii2, br], [vorlesung]).

veranstaltung('Akustik', [pi3, pa3, pa5, br], [vorlesung]).

veranstaltung('Vektorrechnung', [pa1, ia1, ea1, br], [vorlesung]).

veranstaltung('LinA', [pa3, ea3, ia3, br], [vorlesung]).

veranstaltung('LinA Ueb', [pa3, ea3, ia3, br], [vorlesung]).

veranstaltung('Finanzmathe 1', [ai1, di3, wi1, wi2, br], [vorlesung]).
veranstaltung('Finanzmathe 2', [ai1, di3, wi1, wi2, br], [vorlesung]).

veranstaltung('OptikFarbeAkustik', [mi1, br, pd], [vorlesung]).

/***********************************************************/
/* Dozent: Wolter                                          */
/***********************************************************/
veranstaltung('Interneteinfuehrung', [ii1, mi1, wi1, wol, di, wen], [vorlesung, oder([hs5, hs2, hs6])]).

veranstaltung('Unix Ueb a 1', [ia3unix, di, wol], [oder([rz1, rz3])]).
veranstaltung('Unix Ueb a 2', [ia3unix, di, wol], [oder([rz1, rz3])]).

veranstaltung('Unix Ueb b 1', [ia3unix, ia5unix, gla, wol], [oder([rz1, rz3])]).
veranstaltung('Unix Ueb b 2', [ia3unix, ia5unix, gla, wol], [oder([rz1, rz3])]).

veranstaltung('Rechnernetze 2 IA', [ia3, wol], [hs5]).

veranstaltung('Rechnernetze Pr', [ia3, wol], [oder([rz1, rz3])]).

/***********************************************************/
/* Dozent: Winkel                                          */
/***********************************************************/
veranstaltung('Grundl. Mediengestaltung 1', [mi1, wink], [vorlesung]).
veranstaltung('Grundl. Mediengestaltung 2', [mi1, wink], [vorlesung]).

veranstaltung('Gestaltungstechnik 1', [mi1, wink], [vorlesung]).
veranstaltung('Gestaltungstechnik 2', [mi1, wink], [vorlesung]).

veranstaltung('Gestaltungstechnik Ueb 1', [mi1, wink], [rz1]).
veranstaltung('Gestaltungstechnik Ueb 2', [mi1, wink], [rz1]).

veranstaltung('Grundl. Mediengestaltung Ueb 1', [mi1, wink], [medilab]).
veranstaltung('Grundl. Mediengestaltung Ueb 2', [mi1, wink], [medilab]).

/***********************************************************/
/* Dozent: Glandt                                          */
/***********************************************************/
veranstaltung('GDP Ueb', [wi1, mi1, gla], [hs2, vorlesung]).

veranstaltung('Unix Ueb c 1', [wi3unix, wi4unix, ii3unix, ii4unix, gla, di], [oder([rz1, rz3])]).
veranstaltung('Unix Ueb c 2', [wi3unix, wi4unix, ii3unix, ii4unix, gla, di], [oder([rz1, rz3])]).

veranstaltung('Unix Ueb d 1', [mi3unix, gla, di], [oder([rz1, rz3])]).
veranstaltung('Unix Ueb d 2', [mi3unix, gla, di], [oder([rz1, rz3])]).

/***********************************************************/
/* Dozent: Dietze                                          */
/***********************************************************/
veranstaltung('OOP Ueb a 1', [ia5oop, di, sb], [oder([rz1, rz3])]).
veranstaltung('OOP Ueb a 2', [ia5oop, di, sb], [oder([rz1, rz3])]).

veranstaltung('OOP Ueb b 1', [mi4oop, di, sb], [oder([rz1, rz3])]).
veranstaltung('OOP Ueb b 2', [mi4oop, di, sb], [oder([rz1, rz3])]).

veranstaltung('OOP Ueb c', [ii4oop, ii5oop, ii6oop, di, sb], [oder([rz1, rz3])]).

veranstaltung('OOP Ueb d', [wi4oop, di, sb], [oder([rz1, rz3])]).

veranstaltung('OOP Ueb e 1', [wi5oop, wi6oop, di, sb], [oder([rz1, rz3])]).
veranstaltung('OOP Ueb e 2', [wi5oop, wi6oop, di, sb], [oder([rz1, rz3])]).

/***********************************************************/
/* Dozent: Franz                                           */
/***********************************************************/
veranstaltung('Gundl. Franzoesisch', [di1, franz], [vorlesung]).

veranstaltung('Wi. Franzoesisch', [di3, franz], [vorlesung]).

/***********************************************************/
/* Dozent: Klickow                                         */
/***********************************************************/
veranstaltung('Patentwesen', [pi7, pi8, ii7, ii8, klickow], [vorlesung]).

/***********************************************************/
/* Dozent: Kolb                                            */
/***********************************************************/
veranstaltung('Computergraphik', [mi4, ii5, ii6, klb], [vorlesung]).

/***********************************************************/
/* Dozent: Krueger                                         */
/***********************************************************/
veranstaltung('Modellbas. AW-Entw. 1', [wi6, wi7, krueger], [oder([rz1, rz3])]).
veranstaltung('Modellbas. AW-Entw. 2', [wi6, wi7, krueger], [oder([rz1, rz3])]).
veranstaltung('Modellbas. AW-Entw. 3', [wi6, wi7, krueger], [oder([rz1, rz3])]).

/***********************************************************/
/* Dozent: Opitz                                           */
/***********************************************************/
veranstaltung('HW-SW-Proj 1', [ea3, op, str], [caelab]).
veranstaltung('HW-SW-Proj 2', [ea3, op, str], [caelab]).

veranstaltung('PCB-Design 1', [ii4, ii5, op, str], [caelab]).
veranstaltung('PCB-Design 2', [ii4, ii5, op, str], [caelab]).

veranstaltung('Elektronik Pr a 1', [ii3, ii4, ii5, op], [elklab]).
veranstaltung('Elektronik Pr a 2', [ii3, ii4, ii5, op], [elklab]).
veranstaltung('Elektronik Pr a 3', [ii3, ii4, ii5, op], [elklab]).

veranstaltung('Elektronik Pr b 1', [pi5, op], [elklab]).
veranstaltung('Elektronik Pr b 2', [pi5, op], [elklab]).
veranstaltung('Elektronik Pr b 3', [pi5, op], [elklab]).

/***********************************************************/
/* Dozent: Poock-Haffmanns                                 */
/***********************************************************/
veranstaltung('Elektronik 1 1', [ii3, ii4, pi4, pi5, pk], [vorlesung, hs5]).
veranstaltung('Elektronik 1 2', [ii3, ii4, pi4, pi5, pk], [vorlesung, hs5]).

veranstaltung('Elektronik 1 MI', [mi1, pk], [vorlesung, hs5]).

veranstaltung('Workshop HW 1', [pi5, ii5, ii6, pk], [netzlab]).
veranstaltung('Workshop HW 2', [pi5, ii5, ii6, pk], [netzlab]).
veranstaltung('Workshop HW 3', [pi5, ii5, ii6, pk], [netzlab]).
veranstaltung('Workshop HW 4', [pi5, ii5, ii6, pk], [netzlab]).

/***********************************************************/
/* Dozent: Raubach                                         */
/***********************************************************/
veranstaltung('Rechnungswesen 1 a 1', [wi1, wi3, wi4, rb], [hs2, vorlesung]).
veranstaltung('Rechnungswesen 1 a 2', [wi1, wi3, wi4, rb], [hs2, vorlesung]).

veranstaltung('Rechnungswesen 1 b 1', [di1, ai1, mi3, rb], [hs2, vorlesung]).
veranstaltung('Rechnungswesen 1 b 2', [di1, ai1, mi3, rb], [hs2, vorlesung]).

veranstaltung('Unternehmensfuehrung 1', [di5, mi4, wi6, rb], [hs5, vorlesung]).
veranstaltung('Unternehmensfuehrung 2', [di5, mi4, wi6, rb], [hs5, vorlesung]).

veranstaltung('Projektmanagement', [di5, mi4, pi6, wi6, ai3, rb], [hs5, vorlesung]).

veranstaltung('Medienmaerkte', [mi3, rb], [hs5, vorlesung]).

veranstaltung('Unternehmensfuehrung Ueb 1', [di5, mi4, wi6, rb], [hs6, vorlesung]).
veranstaltung('Unternehmensfuehrung Ueb 2', [di5, mi4, wi6, rb], [hs6, vorlesung]).

/***********************************************************/
/* Dozent: Schwanitz                                       */
/***********************************************************/
veranstaltung('BWL 1', [ai1, di1, ii5, ii6, ii7, wi1, ea3, pa3, sw], [hs2, vorlesung]).
veranstaltung('BWL 2', [ai1, di1, ii5, ii6, ii7, wi1, ea3, pa3, sw], [hs2, vorlesung]).

veranstaltung('Banking&Finance', [wi5, wi6, ai3, sw], [vorlesung]).

veranstaltung('DecisionSupp.Sys.', [wi5, wi6, ai3, sw], [vorlesung]).

/***********************************************************/
/* Dozent: Smollich                                        */
/***********************************************************/
veranstaltung('Ess. English a', [ai1, di1, sm], [vorlesung]).

veranstaltung('Ess. English b', [wi1, sm], [vorlesung]).

/***********************************************************/
/* Dozent: Stachoinski                                     */
/***********************************************************/
veranstaltung('Dig. Druckvorstufe', [mi3, stach], [vorlesung]).

/***********************************************************/
/* Dozent: Steinmetz                                       */
/***********************************************************/
veranstaltung('Workshop Audio 1', [mi3, steinm], [oder([rz3, rz4])]).
veranstaltung('Workshop Audio 2', [mi3, steinm], [oder([rz3, rz4])]).

/***********************************************************/
/* Dozent: Stenzel                                         */
/***********************************************************/
veranstaltung('Regelungstechnik 1', [di5, pi5, pi6, ii5, ii6, st], [vorlesung, beamer]).

veranstaltung('Regelungstechnik 2', [pi5, pi6, ii5, ii6, st], [vorlesung, beamer]).

veranstaltung('Regelungstechnik Ueb', [di5, pi5, pi6, ii5, ii6, st], [vorlesung, beamer]).

veranstaltung('Elektrotechnik 1 1', [di1, pi1, ii1, ii2, st], [vorlesung]).
veranstaltung('Elektrotechnik 1 2', [di1, pi1, ii1, ii2, st], [vorlesung]).

veranstaltung('Elektrotechnik 2 1', [di3, pi3, ii3, st], [vorlesung]).

veranstaltung('Elektrotechnik 2 2', [ii3, st], [vorlesung]).

veranstaltung('Ueb Elektrotechnik 2', [di3, ii3, pi3, st], [vorlesung]).

veranstaltung('El. Messtechnik', [pi5, ii3, ii4, ii5, st], [vorlesung]).

veranstaltung('Dig. Kommunikation', [ii3, ii4, mi3, st], [vorlesung, beamer]).

/***********************************************************/
/* Dozent: Sticht                                          */
/***********************************************************/
veranstaltung('Digitechnik Pr 1', [ii2, ii3, ii4, sti], [elklab]).
veranstaltung('Digitechnik Pr 2', [ii2, ii3, ii4, sti], [elklab]).


/***********************************************************/
/* Dozent: Subke                                           */
/***********************************************************/
veranstaltung('Mech-Fluid-Schwing. 1', [pi1, su], [vorlesung]).
veranstaltung('Mech-Fluid-Schwing. 2', [pi1, su], [vorlesung]).
veranstaltung('Mech-Fluid-Schwing. 3', [pi1, su], [vorlesung]).
veranstaltung('Mech-Fluid-Schwing. 4', [pi1, su], [vorlesung]).

veranstaltung('TM-Statik', [pi2, pi3, pi4, su], [vorlesung]).

veranstaltung('Waerme 2', [pi3, pi4, su], [vorlesung]).

veranstaltung('Vakuum ', [pi7, pi8, pa5, di5, su], [vorlesung]).

veranstaltung('Grundl. Physik 1', [ii1, di1, su], [vorlesung]).
veranstaltung('Grundl. Physik 2', [ii1, di1, su], [vorlesung]).

veranstaltung('Energie-Technik', [ui4, su], [vorlesung]).

veranstaltung('Patente', [pi7, pi8, ii7, ii8, su], [vorlesung]).

/***********************************************************/
/* Dozent: Ternaeben                                       */
/***********************************************************/
veranstaltung('Medienrecht', [mi3, mi4, tern], [vorlesung]).

/***********************************************************/
/* Dozent: Theel                                           */
/***********************************************************/
veranstaltung('CAD-Anwendungen', [pa5, pi5, theel], [rz1]).

veranstaltung('Pr Prod. Technik', [di5, theel, wd], [sr3]).

veranstaltung('Konstruktion Ueb 1', [pi6, pi7, theel, wd], [sr3]).
veranstaltung('Konstruktion Ueb 2', [pi6, pi7, theel, wd], [sr3]).
veranstaltung('Konstruktion Ueb 3', [pi6, pi7, theel, wd], [sr3]).

veranstaltung('Autocad 3D', [di5, pi5, pa5, theel], [rz1]).

veranstaltung('Sem Fertigungstechnik', [di5, theel, wd], [sr3]).

/***********************************************************/
/* Dozent: Uelzmann                                        */
/***********************************************************/
veranstaltung('EDV 1', [ii1, wi1, mi1, ue], [vorlesung]).

veranstaltung('EDV 2', [ii2, ii3, wi2, wi3, mi3, ue], [vorlesung]).

veranstaltung('Betriebssysteme', [ii4, ii5, wi4, wi5, ia5, ue], [vorlesung]).

veranstaltung('Robotik', [ii4, ii5, ii6, ue], [hs5, vorlesung]).

veranstaltung('upHW', [ii5, ii6, ii7, ii8, ue], [vorlesung]).

/***********************************************************/
/* Dozent: Waltert                                         */
/***********************************************************/
veranstaltung('Journalismus 1', [mi3, wal], [vorlesung]).
veranstaltung('Journalismus 2', [mi3, wal], [vorlesung]).

/***********************************************************/
/* Dozent: Wenig                                           */
/***********************************************************/
veranstaltung('Robotik Pr 1', [ii6, ii7, wen], [robotlab]).
veranstaltung('Robotik Pr 2', [ii6, ii7, wen], [robotlab]).

/***********************************************************/
/* Dozent: Wiedmann                                        */
/***********************************************************/
veranstaltung('Grundl. Technische Systeme', [di1, pi1, pi2, pa3, wd], [vorlesung]).

veranstaltung('Konstruktion 2  ', [pi4, pi5, wd], [vorlesung]).

veranstaltung('Fertigungstechnik 2', [di5, wd], [oder([hs3, hs4]), vorlesung]).

/***********************************************************/
/* Dozent: Bewicke                                         */
/***********************************************************/
veranstaltung('Commercial English', [wi2, bew], [vorlesung]).

veranstaltung('Business English 1', [wi3, bew], [vorlesung]).
veranstaltung('Business English 2', [wi3, bew], [vorlesung]).

veranstaltung('Technical English', [ai1, di3, bew], [vorlesung]).

/***********************************************************/
/* Dozent: Bodaine                                         */
/***********************************************************/
veranstaltung('Mathe 1 1', [ia1, ea1, pa1, bd], [vorlesung]).
veranstaltung('Mathe 1 2', [ia1, ea1, pa1, bd], [vorlesung]).
veranstaltung('Mathe 1 3', [ia1, ea1, pa1, bd], [vorlesung]).
veranstaltung('Mathe 1 4', [ia1, ea1, pa1, bd], [vorlesung]).

veranstaltung('Numa', [ii2, ii3, bd], [vorlesung]).

veranstaltung('Seminar Bd', [ia5, bd, wol], [vorlesung, oder([hs5, hs6])]).

veranstaltung('Programmierung', [ea1, pa1, bd], [vorlesung]).

veranstaltung('uController 1', [pi3, pi4, bd], [etlab]).
veranstaltung('uController 2', [pi3, pi4, bd], [etlab]).

/***********************************************************/
/* Dozent: Giersch                                         */
/***********************************************************/
veranstaltung('Makrooekonomie 1', [ai1, gie], [vorlesung]).
veranstaltung('Makrooekonomie 2', [ai1, gie], [vorlesung]).

/***********************************************************/
/* Dozent: Schmidt                                         */
/***********************************************************/
veranstaltung('GDP 1', [wi1, ii1, mi1, si], [vorlesung, hs5]).
veranstaltung('GDP 2', [wi1, ii1, mi1, si], [vorlesung, hs5]).

veranstaltung('OOP 1', [wi4, wi5, wi6, mi4, ii4, ii5, ii6, si], [vorlesung, hs5]).
veranstaltung('OOP 2', [wi4, wi5, wi6, mi4, ii4, ii5, ii6, si], [vorlesung, hs5]).

veranstaltung('Unix & Internet 1', [wi3, wi4, ii3, ii4, mi3, si], [vorlesung, hs2]).
veranstaltung('Unix & Internet 2', [wi3, wi4, ii3, ii4, mi3, si], [vorlesung, hs2]).

veranstaltung('Unix & Internet (IA) 1', [ia3, ia5, si], [vorlesung, hs2]).
veranstaltung('Unix & Internet (IA) 2', [ia3, ia5, si], [vorlesung, hs2]).

veranstaltung('Expertensysteme', [wi6, wi7, ii6, si], [vorlesung, beamer]).

veranstaltung('SW-Engineering', [ai1, ii3, ii4, ia3, mi3, mi4, wi2, wi3, hs], [vorlesung]).

/***********************************************************/
/* Dozent: Hainzinger                                      */
/***********************************************************/
veranstaltung('Engl FHR 3Sem 1', [pa3, ia3, ea3, hai], [vorlesung]).
veranstaltung('Engl FHR 3Sem 2', [pa3, ia3, ea3, hai], [vorlesung]).

veranstaltung('Engl FHR 5Sem 1', [pa5, ia5, ea5, hai], [vorlesung]).
veranstaltung('Engl FHR 5Sem 2', [pa5, ia5, ea5, hai], [vorlesung]).

/***********************************************************/
/* Dozent: Sedelmayer                                      */
/***********************************************************/
veranstaltung('Deutsch FHR 3Sem 1', [pa3, ia3, ea3, sed], [vorlesung, oder([sr1, sr2, sr3, sr4])]).
veranstaltung('Deutsch FHR 3Sem 2', [pa3, ia3, ea3, sed], [vorlesung, oder([sr1, sr2, sr3, sr4])]).

veranstaltung('Deutsch FHR 5Sem 1', [pa5, ia5, ea5, sed], [vorlesung, oder([sr1, sr2, sr3, sr4])]).
veranstaltung('Deutsch FHR 5Sem 2', [pa5, ia5, ea5, sed], [vorlesung, oder([sr1, sr2, sr3, sr4])]).

/***********************************************************/
/* Dozent: Harms                                           */
/***********************************************************/
veranstaltung('Analysis 1 a 1', [pi1, ii1, di1, ha], [vorlesung]).
veranstaltung('Analysis 1 a 2', [pi1, ii1, di1, ha], [vorlesung]).
veranstaltung('Analysis 1 a Ueb 1', [pi1, ii1, di1, ha], [vorlesung]).
veranstaltung('Analysis 1 a Ueb 2', [pi1, ii1, di1, ha], [vorlesung]).

veranstaltung('Analysis 1 b 1', [wi1, mi1, ha], [vorlesung]).
veranstaltung('Analysis 1 b 2', [wi1, mi1, ha], [vorlesung]).
veranstaltung('Analysis 1 b Ueb 1', [wi1, mi1, ha], [vorlesung]).
veranstaltung('Analysis 1 b Ueb 2', [wi1, mi1, ha], [vorlesung]).

% Test
veranstaltung('Rechnernetze-Uebung 1', [wi4, wi5, wi6, klk], [netzlab]).
veranstaltung('Rechnernetze-Uebung 2', [wi4, wi5, wi6, klk], [netzlab]).

/***********************************************************/
/* Doppelstunden                                           */
/***********************************************************/
doppelstunde('Analysis 1 a 1', 'Analysis 1 a Ueb 1').
doppelstunde('Analysis 1 a 2', 'Analysis 1 a Ueb 2').

doppelstunde('Analysis 1 b 1', 'Analysis 1 b Ueb 1').
doppelstunde('Analysis 1 b 2', 'Analysis 1 b Ueb 2').

doppelstunde('GDP 2', 'GDP 1').

doppelstunde('Service Management SocialEng 1', 'Service Management SocialEng 2').

doppelstunde('Chemie 1','Chemie 2').

doppelstunde('Rechnernetze-Uebung 1', 'Rechnernetze-Uebung 2').

doppelstunde('uP-Programmierung 1', 'uP-Programmierung 2').

doppelstunde('PPS Pr a 1', 'PPS Pr a 2').
doppelstunde('PPS Pr b 1', 'PPS Pr b 2').

doppelstunde('ProgSprachen 2 Ueb a 1', 'ProgSprachen 2 Ueb a 2').
doppelstunde('ProgSprachen 2 Ueb b 1', 'ProgSprachen 2 Ueb b 2').
doppelstunde('ProgSprachen 2 Ueb c 1', 'ProgSprachen 2 Ueb c 2').

doppelstunde('ProgSprachen 1 Ueb a 1', 'ProgSprachen 1 Ueb a 2').
doppelstunde('ProgSprachen 1 Ueb b 1', 'ProgSprachen 1 Ueb b 2').

doppelstunde('Elek. Messtechnik 1', 'Elek. Messtechnik 2').

doppelstunde('Digitaltechnik 1 1', 'Digitaltechnik 1 2').

doppelstunde('uController Al 1', 'uController Al 2').

doppelstunde('Business English 1', 'Business English 2').

doppelstunde('Elektronik 1 Ueb 1', 'Elektronik 1 Ueb 2').

doppelstunde('SMD-Tech 1', 'SMD-Tech 2').

doppelstunde('uController 1', 'uController 2').

doppelstunde('Makrooekonomie 1', 'Makrooekonomie 2').

doppelstunde('Fuehrungskraefte Tr 1', 'Fuehrungskraefte Tr 2').

doppelstunde('Fuehrungskraefte AC-Krea 1', 'Fuehrungskraefte AC-Krea 2').

doppelstunde('ProgSprachen 1 Ueb d 1', 'ProgSprachen 1 Ueb d 2').

doppelstunde('AV-Workshop 1 1', 'AV-Workshop 1 2').

doppelstunde('Musikvideoproj 1', 'Musikvideoproj 2').

doppelstunde('ProgSprachen 1 Ueb e 1', 'ProgSprachen 1 Ueb e 2').

doppelstunde('SAP 1', 'SAP 2').

doppelstunde('Unix Ueb a 1', 'Unix Ueb a 2').
doppelstunde('Unix Ueb b 1', 'Unix Ueb b 2').
doppelstunde('Unix Ueb c 1', 'Unix Ueb c 2').
doppelstunde('Unix Ueb d 1', 'Unix Ueb d 2').

doppelstunde('OOP Ueb a 1', 'OOP Ueb a 2').
doppelstunde('OOP Ueb b 1', 'OOP Ueb b 2').
doppelstunde('OOP Ueb e 1', 'OOP Ueb e 2').

doppelstunde('HW-SW-Proj 1', 'HW-SW-Proj 2').

doppelstunde('PCB-Design 1', 'PCB-Design 2').

doppelstunde('Unternehmensfuehrung Ueb 1','Unternehmensfuehrung Ueb 2'). 

doppelstunde('Workshop Audio 1', 'Workshop Audio 2'). 

doppelstunde('Journalismus 1','Journalismus 2'). 

doppelstunde('Robotik Pr 1', 'Robotik Pr 2').

doppelstunde(_, _) :- false.

/***********************************************************/
/* Dreifachstunden                                         */
/***********************************************************/
dreifachstunde('Phys. Grundl. Pr 1', 'Phys. Grundl. Pr 2', 'Phys. Grundl. Pr 3').

dreifachstunde('Physikalisches Pr (B) 1', 'Physikalisches Pr (B) 2', 'Physikalisches Pr (B) 3').

dreifachstunde('Werkstattpraktikum 1', 'Werkstattpraktikum 2', 'Werkstattpraktikum 3').

dreifachstunde('Elektronik Pr a 1', 'Elektronik Pr a 2', 'Elektronik Pr a 3').

dreifachstunde('Elektronik Pr b 1', 'Elektronik Pr b 2', 'Elektronik Pr b 3').

dreifachstunde('Praktikum Oekobilanzen a 1', 'Praktikum Oekobilanzen a 2', 'Praktikum Oekobilanzen a 3').

dreifachstunde('Praktikum Oekobilanzen b 1', 'Praktikum Oekobilanzen b 2', 'Praktikum Oekobilanzen b 3').

dreifachstunde('Modellbas. AW-Entw. 1', 'Modellbas. AW-Entw. 2', 'Modellbas. AW-Entw. 3').

dreifachstunde(_, _, _) :- false.

/***********************************************************/
/* Vierfachstunden                                         */
/***********************************************************/
vierfachstunde('Workshop HW 1','Workshop HW 2','Workshop HW 3', 'Workshop HW 4').

vierfachstunde(_, _, _, _) :- false.

/***********************************************************/
/* Einschraenkungen bezueglich der Teilnehmer              */
/***********************************************************/
/* Wer kann an welchen Tagen, zu welchen Zeiten nicht?     */
/* Manchmal ist es sinnvoll, einen Teilnehmer staerker     */
/* einzuschraenken, als er es tatsaechlich ist, da dann    */
/* schneller Loesungen generiert werden.                   */
/***********************************************************/

/***********************************************************/
/* teilnehmerNichtAmUm(Name, [Tage], [Zeiten])             */
/***********************************************************/
teilnehmerNichtAmUm(si, ['Dienstag'], ['13:45', '15:15', '16:45', '18:15']).
teilnehmerNichtAmUm(an, ['Mittwoch'], ['16:45', '18:15']).
teilnehmerNichtAmUm(bew, ['Dienstag', 'Mittwoch', 'Donnerstag'], ['8:00', '15:15', '16:45', '18:15']).
teilnehmerNichtAmUm(bew, ['Montag', 'Freitag', 'Samstag'], _).
teilnehmerNichtAmUm(glu, ['Freitag'], ['13:45', '15:15', '16:45', '18:15']).
%teilnehmerNichtAmUm(hai, ['Montag'], ['8:00', '9:30', 'Mittagspause', '13:45', '15:15', '16:45', '18:15']).
%teilnehmerNichtAmUm(hai, ['Dienstag'], ['9:30', '11:00', 'Mittagspause', '13:45', '15:15', '16:45', '18:15']).
teilnehmerNichtAmUm(hai, ['Mittwoch', 'Donnerstag'], ['8:00', '9:30', '11:00', 'Mittagspause', '13:45', '18:15']).
%teilnehmerNichtAmUm(hai, ['Freitag', 'Samstag'], _).
teilnehmerNichtAmUm(hai, ['Montag', 'Dienstag', 'Freitag', 'Samstag'], _).
teilnehmerNichtAmUm(wink, ['Donnerstag'], ['8:00', '9:30', '11:00', 'Mittagspause']).
teilnehmerNichtAmUm(wink, ['Montag', 'Freitag', 'Samstag'], _).
teilnehmerNichtAmUm(franz, ['Mittwoch', 'Donnerstag', 'Freitag'], ['8:00', '13:45', '15:15', '16:45', '18:15']).
teilnehmerNichtAmUm(franz, ['Montag', 'Dienstag', 'Samstag'], _).
teilnehmerNichtAmUm(sed, ['Mittwoch', 'Donnerstag'], ['8:00', '9:30', '11:00', 'Mittagspause', '16:45', '18:15']).
teilnehmerNichtAmUm(sed, ['Montag', 'Dienstag', 'Freitag', 'Samstag'], _).
%teilnehmerNichtAmUm(sm, ['Montag'], ['8:00', '9:30', '11:00', 'Mittagspause', '13:45', '15:15', '18:15']).
%teilnehmerNichtAmUm(sm, ['Dienstag'], ['9:30', '11:00', 'Mittagspause', '13:45', '15:15', '18:15']).
teilnehmerNichtAmUm(sm, ['Mittwoch'], ['8:00', '9:30', '11:00', 'Mittagspause', '15:15', '18:15']).
teilnehmerNichtAmUm(sm, ['Montag', 'Dienstag', 'Donnerstag', 'Freitag', 'Samstag'], _).
teilnehmerNichtAmUm(steinm, ['Dienstag', 'Mittwoch'], ['8:00', '13:45', '15:15', '16:45', '18:15']).
teilnehmerNichtAmUm(steinm, ['Montag', 'Donnerstag', 'Freitag', 'Samstag'], _).
teilnehmerNichtAmUm(st, ['Mittwoch'], ['15:15', '16:45', '18:15']).
teilnehmerNichtAmUm(wal, ['Donnerstag', 'Freitag'], ['8:00', '9:30', '11:00', 'Mittagspause', '16:45', '18:15']).
teilnehmerNichtAmUm(wal, ['Montag', 'Dienstag', 'Mittwoch', 'Samstag'], _).
teilnehmerNichtAmUm(ha, ['Mittwoch', 'Samstag'], _).
teilnehmerNichtAmUm(ha, _, ['8:00', 'Mittagspause', '13:45', '15:15', '16:45', '18:15']).
teilnehmerNichtAmUm(sc, ['Montag', 'Dienstag'], _).
teilnehmerNichtAmUm(pt, ['Montag'], _).
teilnehmerNichtAmUm(bi, ['Freitag'], _).
teilnehmerNichtAmUm(bd, ['Freitag', 'Samstag'], _).
teilnehmerNichtAmUm(bd, _, ['8:00']).
teilnehmerNichtAmUm(gie, ['Dienstag', 'Mittwoch', 'Donnerstag', 'Samstag'], _).
teilnehmerNichtAmUm(gie, _, ['8:00', '9:30', '11:00', 'Mittagspause', '13:45']).
teilnehmerNichtAmUm(rb, ['Donnerstag'], _).
teilnehmerNichtAmUm(tern, ['Samstag'], _).
teilnehmerNichtAmUm(wd, ['Montag'], _).
teilnehmerNichtAmUm(tern, _, ['8:00', '9:30', '11:00', 'Mittagspause', '13:45']).
teilnehmerNichtAmUm(ue, _, ['16:45', '18:15']).
teilnehmerNichtAmUm(_, _, _) :- false.

/***********************************************************/
/* Einschraenkungen bezueglich der Veranstaltungen         */
/***********************************************************/
/* Welche Veranstaltung kann an welchen Tagen, zu welchen  */
/* Zeiten (nicht) stattfinden?                             */
/***********************************************************/

/***********************************************************/
/* veranstaltungNichtAmUmIn(Name, [Tage], [Zeiten], Raum)  */
/***********************************************************/
veranstaltungNichtAmUmIn('Marketing 1', ['Montag', 'Dienstag', 'Mittwoch', 'Samstag'], _, _).
veranstaltungNichtAmUmIn('Marketing 2', ['Montag', 'Dienstag', 'Mittwoch', 'Samstag'], _, _).
veranstaltungNichtAmUmIn('Rechnernetze-Uebung 1', ['Dienstag', 'Donnerstag', 'Samstag'], _, _).
veranstaltungNichtAmUmIn('Rechnernetze-Uebung 2', _, ['8:00', '9:30', '11:00', 'Mittagspause', '13:45', '18:15'], _).
veranstaltungNichtAmUmIn('Datenbanken 1 1', _, ['8:00'], _).
veranstaltungNichtAmUmIn('Workshop HW 1', _, ['8:00', '16:45', '18:15'], _).
veranstaltungNichtAmUmIn('Workshop HW 2', _, ['8:00', '16:45', '18:15'], _).
veranstaltungNichtAmUmIn('Workshop HW 3', _, ['8:00', '16:45', '18:15'], _).
veranstaltungNichtAmUmIn('Workshop HW 4', _, ['8:00', '16:45', '18:15'], _).

veranstaltungNichtAmUmIn(_, _, _, _) :- false.

/***********************************************************/
/* veranstaltungAmUmIn(Name, [Tage], [Zeiten], Raum)       */
/***********************************************************/
veranstaltungAmUmIn('Phys. Grundl. Pr 1', ['Montag'], ['13:45'], _).
veranstaltungAmUmIn('Sem Umwelttechnik', ['Freitag'], ['13:45', '15:15', '16:45'], _).
veranstaltungAmUmIn('Gemeinschaftskunde', ['Freitag'], ['8:00'], _).
veranstaltungAmUmIn('Fuehrungskraefte Tr 1', ['Freitag'], ['13:45'], _).
veranstaltungAmUmIn('Fuehrungskraefte AC-Krea 1', ['Mittwoch'], ['13:45'], _).
veranstaltungAmUmIn('Technik AV Medien', ['Montag'], ['16:45'], _).
veranstaltungAmUmIn('Praktikum Oekobilanzen a 1', ['Samstag'], ['9:30'], _).
veranstaltungAmUmIn('Praktikum Oekobilanzen b 1', ['Donnerstag'], ['15:15'], _).
veranstaltungAmUmIn('Patentwesen', ['Montag'], ['13:45'], _).
veranstaltungAmUmIn('Dig. Druckvorstufe', ['Mittwoch'], ['8:00'], _).
veranstaltungAmUmIn('Energie-Technik', ['Freitag'], ['13:45'], _).
veranstaltungAmUmIn('Modellbas. AW-Entw. 1', ['Donnerstag'], ['13:45'], _).
veranstaltungAmUmIn('Multi Media Seminar', _, ['11:00'], _).

veranstaltungAmUmIn(_, _, _, _) :- false.

/***********************************************************/
/* veranstaltungenNichtZusammenhaengend(Name1, Name2)      */
/***********************************************************/
veranstaltungenNichtZusammenhaengend(_, _) :- false.

/***********************************************************/
/* veranstaltungenAmSelbenTag(Name1, Name2)                */
/***********************************************************/
veranstaltungenAmSelbenTag('Gundl. Franzoesisch', 'Wi. Franzoesisch').
veranstaltungenAmSelbenTag('OOP 1', 'GDP 1').
veranstaltungenAmSelbenTag(_, _) :- false.
veranstaltungenAmSelbenTag(_, _, _, _) :- false.

/***********************************************************/
/* veranstaltungenNichtAmSelbenTag(Name1, Name2)           */
/***********************************************************/
veranstaltungenNichtAmSelbenTag('Unix & Internet 1', 'Unix & Internet 2').
veranstaltungenNichtAmSelbenTag('Unix & Internet (IA) 1', 'Unix & Internet (IA) 2').
veranstaltungenNichtAmSelbenTag('Marketing 1', 'Marketing 2').
veranstaltungenNichtAmSelbenTag('Phys. Chemie 1', 'Phys. Chemie 2').
veranstaltungenNichtAmSelbenTag('Rechnernetze 1', 'Rechnernetze 2').
veranstaltungenNichtAmSelbenTag('Elektronik 3 1', 'Elektronik 3 2').
veranstaltungenNichtAmSelbenTag('Atom- & Kernphysik 1', 'Atom- & Kernphysik 2').
veranstaltungenNichtAmSelbenTag('ProgSprachen 2 1', 'ProgSprachen 2 2').
veranstaltungenNichtAmSelbenTag('ProgSprachen 1 1', 'ProgSprachen 1 2').
veranstaltungenNichtAmSelbenTag('OR 2 1', 'OR 2 2').
veranstaltungenNichtAmSelbenTag('Statistik 2 1', 'Statistik 2 2').
veranstaltungenNichtAmSelbenTag('Datenbanken 1 1', 'Datenbanken 1 2').
veranstaltungenNichtAmSelbenTag('Analysis 2 1', 'Analysis 2 2').
veranstaltungenNichtAmSelbenTag('Finanzmathe 1', 'Finanzmathe 2').
veranstaltungenNichtAmSelbenTag('Grundl. Mediengestaltung 1', 'Grundl. Mediengestaltung 2').
veranstaltungenNichtAmSelbenTag('Gestaltungstechnik 1', 'Gestaltungstechnik 2').
veranstaltungenNichtAmSelbenTag('Gestaltungstechnik Ueb 1', 'Gestaltungstechnik Ueb 2').
veranstaltungenNichtAmSelbenTag('Grundl. Mediengestaltung Ueb 1', 'Grundl. Mediengestaltung Ueb 2'). 
veranstaltungenNichtAmSelbenTag('Elektronik 1 1', 'Elektronik 1 2').
veranstaltungenNichtAmSelbenTag('Rechnungswesen 1 a 1', 'Rechnungswesen 1 a 2').
veranstaltungenNichtAmSelbenTag('Rechnungswesen 1 b 1', 'Rechnungswesen 1 b 2').
veranstaltungenNichtAmSelbenTag('Unternehmensfuehrung 1', 'Unternehmensfuehrung 2').
veranstaltungenNichtAmSelbenTag('BWL 1', 'BWL 2').
veranstaltungenNichtAmSelbenTag('Regelungstechnik 1', 'Regelungstechnik 2').
veranstaltungenNichtAmSelbenTag('Elektrotechnik 1 1', 'Elektrotechnik 1 2').
veranstaltungenNichtAmSelbenTag('Elektrotechnik 2 1', 'Elektrotechnik 2 2').
veranstaltungenNichtAmSelbenTag('Digitechnik Pr 1', 'Digitechnik Pr 2').
veranstaltungenNichtAmSelbenTag('Grundl. Physik 1', 'Grundl. Physik 2').
veranstaltungenNichtAmSelbenTag('Engl FHR 3Sem 1', 'Engl FHR 3Sem 2').
veranstaltungenNichtAmSelbenTag('Engl FHR 5Sem 1', 'Engl FHR 5Sem 2').
veranstaltungenNichtAmSelbenTag('Deutsch FHR 3Sem 1', 'Deutsch FHR 3Sem 2').
veranstaltungenNichtAmSelbenTag('Deutsch FHR 5Sem 1', 'Deutsch FHR 5Sem 2').
veranstaltungenNichtAmSelbenTag(_, _) :- false.

/***********************************************************/
/* veranstaltungenNichtAmSelbenTag(Name1, Name2, Name3)    */
/***********************************************************/
veranstaltungenNichtAmSelbenTag('Konstruktion Ueb 1', 'Konstruktion Ueb 2','Konstruktion Ueb 3').
veranstaltungenNichtAmSelbenTag('Elektrotechnik 1', 'Elektrotechnik 2', 'Elektrotechnik 3').

/********************************************************************/
/* veranstaltungenNichtAmSelbenTag (Wunsch)                         */
/* veranstaltungenNichtAmSelbenTag(Name1, Name2, Prio)              */
/********************************************************************/
veranstaltungenNichtAmSelbenTag('EDV 1', 'EDV 2', 4).
veranstaltungenNichtAmSelbenTag(_, _, _) :- false.

/***********************************************************/
/* veranstaltungenNichtAmSelbenTag(Name1, Name2, Name3,    */
/*     Name4)                                              */
/***********************************************************/
veranstaltungenNichtAmSelbenTag('Mathe 1 1', 'Mathe 1 2', 'Mathe 1 3', 'Mathe 1 4').

veranstaltungenNichtAmSelbenTag(_, _, _, _) :- false.

/***********************************************************/
/* Vorlesungen, fuer die keine festen Termine im           */
/* Stundenplan reserviert werden                           */
/***********************************************************/

/***********************************************************/
/* termineNachAbsprache(VeranstaltungsName, Teilnehmer)    */
/***********************************************************/
terminNachAbsprache('WI-Seminar', [wi5, wi6, rb]).
terminNachAbsprache('BVA Ueb', [ii5, ii6, kl]).
terminNachAbsprache(_) :- false.

/************************************************************/

/************************************************************/
/* Die Wnsche                                              */
/************************************************************/

/************************************************************/
/* Doppelstunde                                             */
/* doppelstunde(Name1, Name2, Prio)                         */
/************************************************************/
doppelstunde('Chemie 1','Chemie 2', 10).
doppelstunde(_, _, _) :- false.

/************************************************************/
/* Dreifachstunde                                           */
/* dreifachstunde(Name1, Name2, Name3, Prio)                */
/************************************************************/
dreifachstunde('Phys. Grundl. Pr 1', 'Phys. Grundl. Pr 2', 'Phys. Grundl. Pr 3', 12).

dreifachstunde(_, _, _, _) :- false.

/************************************************************/
/* vierfachstunde                                           */
/* vierfachstunde(Name1, Name2, Name3, Name4, Prio)         */
/************************************************************/
vierfachstunde('Workshop HW 1','Workshop HW 2','Workshop HW 3', 'Workshop HW 4', 13).
vierfachstunde('Digitaltechnik 1 1','Digitaltechnik 1 2','uController Al 1', 'uController Al 2', 133).

vierfachstunde(_, _, _, _, _) :- false.

/********************************************************************/
/* veranstaltungenNichtAmSelbenTag                                  */
/* veranstaltungenNichtAmSelbenTag(Name1, Name2, Name3, Name4, Prio)*/
/********************************************************************/
%veranstaltungenNichtAmSelbenTag('OOP 1', 'OOP 2', 4).
veranstaltungenNichtAmSelbenTag(_, _, _, _, _) :- false.

/********************************************************************/
/* veranstaltungenAmSelbenTag                                       */
/* veranstaltungenAmSelbenTag(Name1, Name2, Prio)                   */
/********************************************************************/
veranstaltungenAmSelbenTag('Mathe 1 1', 'Mathe 1 2', 13).
veranstaltungenAmSelbenTag('uController Al 1', 'uController Al 2', 69).

veranstaltungenAmSelbenTag(_, _, _) :- false.

/********************************************************************/
/* veranstaltungenNichtZusammenhaengend                             */
/* veranstaltungenNichtZusammenhaengend(Name1, Name2, Prio)         */
/********************************************************************/
veranstaltungenNichtZusammenhaengend('Analysis 1 b Ueb 2', 'Betriebssysteme', 23).
veranstaltungenNichtZusammenhaengend('SMD-Tech 1', 'SMD-Tech 2', 77).

veranstaltungenNichtZusammenhaengend(_, _, _) :- false.

/********************************************************************/
/* veranstaltungenAmUmIn                                            */
/* veranstaltungenAmUmIn(Name, Tagesliste, Zeitenliste, Raum, Prio) */
/********************************************************************/
veranstaltungAmUmIn('Fuehrungskraefte Tr 1', ['Freitag'], ['13:45'], _, 34).
veranstaltungAmUmIn('SMD-Tech 2', ['Freitag'], ['13:45'], _, 102).

veranstaltungAmUmIn(_, _, _, _, _) :- false.

/************************************************************************/
/* veranstaltungenNichtAmUmIn                                           */
/* veranstaltungenNichtAmUmIn(Name, Tagesliste, Zeitenliste, Raum, Prio)*/
/************************************************************************/
%veranstaltungNichtAmUmIn('Rechnernetze-Uebung 2', _, ['8:00', '9:30', '11:00', 'Mittagspause', '13:45', '18:15'], _, 7).
veranstaltungNichtAmUmIn('SMD-Tech 1', _, ['8:00', '9:30', '11:00', 'Mittagspause', '13:45'], _, 9).

veranstaltungNichtAmUmIn(_, _, _, _, _) :- false.
/************************************************************************/
/* teilnehmerNichtAmUm                                                  */
/* teilnehmerNichtAmUm(Name, Tagesliste, Zeitenliste, Prio)             */
/************************************************************************/
teilnehmerNichtAmUm(pt, ['Montag'], _, 19).
teilnehmerNichtAmUm(an, ['Dienstag'], _, 21).

teilnehmerNichtAmUm(_, _, _, _) :- false.